APIリファレンスConnect 会員事業のタスク

Connect 会員事業のタスク

会員自身のタスクを作成し、本人への担当と進み具合を管理する

GET/v1/connect/accounts/{accountId}/tasks

タスクを一覧・検索する

パスの値

  • accountIdstring必須

    100文字まで

クエリ

  • querystring

    200文字まで

  • externalRefstring

    200文字まで

  • statusenum
    backlognot_startedin_progresscompletedcanceled
  • projectIdstring

    100文字まで

  • cursorstring

    100文字まで

  • limitinteger

    1〜100

返る項目data の中身 · 200

  • namestring
  • descriptionTextstring | null
  • statusenum
    backlognot_startedin_progresscompletedcanceled
  • priorityenum | null
    lowmiddlehigh
  • dueDatestring (date-time) | null
  • projectIdstring | null

    100文字まで

  • assigneeobject | null
  • idstring
  • externalRefstring | null
  • statusVersioninteger

    1以上

  • createdAtstring (date-time)
  • updatedAtstring (date-time)
  • completedAtstring (date-time) | null

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

GET/v1/…/accounts/{accountId}/tasks
curl https://tooon.app/api/v1/connect/accounts/clx8k2m0a0001/tasks \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": [
    {
      "name": "山田 太郎",
      "descriptionText": "…",
      "status": "backlog",
      "priority": "low",
      "dueDate": "2026-11-01T09:00:00.000Z",
      "projectId": "clx8k2m0a0001",
      "assignee": {
        "kind": "user",
        "id": "clx8k2m0a0001"
      },
      "id": "clx8k2m0a0001",
      "externalRef": "staff-0001",
      "statusVersion": 1,
      "createdAt": "2026-11-01T09:00:00.000Z",
      "updatedAt": "2026-11-01T09:00:00.000Z",
      "completedAt": "2026-11-01T09:00:00.000Z"
    }
  ],
  "nextCursor": null
}
POST/v1/connect/accounts/{accountId}/tasks

タスクを作る

nameだけで作成できます。externalRefは事業内で一意。運営会社の担当はuser、会員事業の担当はaccount_ownerまたはnull。会員をTooonユーザーとして作りません。公開やメールは行いません。

パスの値

  • accountIdstring必須

    100文字まで

送る項目JSON · 8項目

  • namestring必須

    200文字まで

  • descriptionTextstring | null

    説明のプレーンテキスト。指定すると書式付き説明全体を置き換えます

    10,000文字まで

  • statusenum
    backlognot_startedin_progresscompletedcanceled
  • priorityenum | null
    lowmiddlehigh
  • dueDatestring (date-time) | null
  • projectIdstring | null

    100文字まで

  • assigneeobject | null
  • externalRefstring

    200文字まで

返る項目data の中身 · 200

  • namestring
  • descriptionTextstring | null
  • statusenum
    backlognot_startedin_progresscompletedcanceled
  • priorityenum | null
    lowmiddlehigh
  • dueDatestring (date-time) | null
  • projectIdstring | null

    100文字まで

  • assigneeobject | null
  • idstring
  • externalRefstring | null
  • statusVersioninteger

    1以上

  • createdAtstring (date-time)
  • updatedAtstring (date-time)
  • completedAtstring (date-time) | null

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

POST/v1/…/accounts/{accountId}/tasks
curl -X POST https://tooon.app/api/v1/connect/accounts/clx8k2m0a0001/tasks \
  -H "Authorization: Bearer $TOOON_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "山田 太郎",
  "externalRef": "staff-0001"
}'
レスポンス
{
  "data": {
    "name": "山田 太郎",
    "descriptionText": "…",
    "status": "backlog",
    "priority": "low",
    "dueDate": "2026-11-01T09:00:00.000Z",
    "projectId": "clx8k2m0a0001",
    "assignee": {
      "kind": "user",
      "id": "clx8k2m0a0001"
    },
    "id": "clx8k2m0a0001",
    "externalRef": "staff-0001",
    "statusVersion": 1,
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z",
    "completedAt": "2026-11-01T09:00:00.000Z"
  }
}
GET/v1/connect/accounts/{accountId}/tasks/assignees

タスクの担当候補を取得する

運営会社は有効な所属ユーザー、会員事業はその事業主本人を返します。メールアドレスは返しません。実際の割当時にはタスクのユニットへのアクセスも確認します。

パスの値

  • accountIdstring必須

    100文字まで

クエリ

  • cursorstring

    100文字まで

  • limitinteger

    1〜100

返る項目data の中身 · 200

  • kindenum
    useraccount_owner
  • idstring | null
  • namestring | null

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

GET/v1/…/accounts/{accountId}/tasks/assignees
curl https://tooon.app/api/v1/connect/accounts/clx8k2m0a0001/tasks/assignees \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": [
    {
      "kind": "user",
      "id": "clx8k2m0a0001",
      "name": "山田 太郎"
    }
  ],
  "nextCursor": null
}
GET/v1/connect/accounts/{accountId}/tasks/{id}

タスクを取得する

パスの値

  • accountIdstring必須

    100文字まで

  • idstring必須

    100文字まで

返る項目data の中身 · 200

  • namestring
  • descriptionTextstring | null
  • statusenum
    backlognot_startedin_progresscompletedcanceled
  • priorityenum | null
    lowmiddlehigh
  • dueDatestring (date-time) | null
  • projectIdstring | null

    100文字まで

  • assigneeobject | null
  • idstring
  • externalRefstring | null
  • statusVersioninteger

    1以上

  • createdAtstring (date-time)
  • updatedAtstring (date-time)
  • completedAtstring (date-time) | null

起こりうるエラー共通のエラー

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

GET/v1/…/accounts/{accountId}/tasks/{id}
curl https://tooon.app/api/v1/connect/accounts/clx8k2m0a0001/tasks/clx8k2m0a0001 \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": {
    "name": "山田 太郎",
    "descriptionText": "…",
    "status": "backlog",
    "priority": "low",
    "dueDate": "2026-11-01T09:00:00.000Z",
    "projectId": "clx8k2m0a0001",
    "assignee": {
      "kind": "user",
      "id": "clx8k2m0a0001"
    },
    "id": "clx8k2m0a0001",
    "externalRef": "staff-0001",
    "statusVersion": 1,
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z",
    "completedAt": "2026-11-01T09:00:00.000Z"
  }
}
PATCH/v1/connect/accounts/{accountId}/tasks/{id}

タスクの内容・担当・期日・状態を変更する

expectedUpdatedAtは直前のGETの値。古い版は409。完了・再開・中止は既存の状態遷移と自動化の制限を守ります。projectIdは指定・nullで解除可能。請求・相談・前払いに接続したタスクの案件変更は拒否します。

パスの値

  • accountIdstring必須

    100文字まで

  • idstring必須

    100文字まで

送る項目JSON · 8項目

  • namestring

    200文字まで

  • descriptionTextstring | null

    説明のプレーンテキスト。指定すると書式付き説明全体を置き換えます

    10,000文字まで

  • statusenum
    backlognot_startedin_progresscompletedcanceled
  • priorityenum | null
    lowmiddlehigh
  • dueDatestring (date-time) | null
  • projectIdstring | null

    100文字まで

  • assigneeobject | null
  • expectedUpdatedAtstring (date-time)必須

返る項目data の中身 · 200

  • namestring
  • descriptionTextstring | null
  • statusenum
    backlognot_startedin_progresscompletedcanceled
  • priorityenum | null
    lowmiddlehigh
  • dueDatestring (date-time) | null
  • projectIdstring | null

    100文字まで

  • assigneeobject | null
  • idstring
  • externalRefstring | null
  • statusVersioninteger

    1以上

  • createdAtstring (date-time)
  • updatedAtstring (date-time)
  • completedAtstring (date-time) | null

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

PATCH/v1/…/accounts/{accountId}/tasks/{id}
curl -X PATCH https://tooon.app/api/v1/connect/accounts/clx8k2m0a0001/tasks/clx8k2m0a0001 \
  -H "Authorization: Bearer $TOOON_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "山田 太郎",
  "expectedUpdatedAt": "2026-11-01T09:00:00.000Z"
}'
レスポンス
{
  "data": {
    "name": "山田 太郎",
    "descriptionText": "…",
    "status": "backlog",
    "priority": "low",
    "dueDate": "2026-11-01T09:00:00.000Z",
    "projectId": "clx8k2m0a0001",
    "assignee": {
      "kind": "user",
      "id": "clx8k2m0a0001"
    },
    "id": "clx8k2m0a0001",
    "externalRef": "staff-0001",
    "statusVersion": 1,
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z",
    "completedAt": "2026-11-01T09:00:00.000Z"
  }
}